osl::move_probability::PromotionBySacrifice Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::PromotionBySacrifice:

## Public Types

enum | { DIM = 2*PTYPE_SIZE * PTYPE_SIZE }

## Public Member Functions

| PromotionBySacrifice ()
double | match (const StateInfo &si, const MoveInfo &mi, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 1610 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 1613 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## PromotionBySacrifice()

osl::move_probability::PromotionBySacrifice::PromotionBySacrifice | ( |  | ) |

inline

Definition at line 1616 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::PromotionBySacrifice::match | ( | const StateInfo & | si,
|  | const MoveInfo & | mi,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1619 of file move_probability/feature.h.

References osl::alt(), osl::misc::GeneralMask< Integer >::any(), osl::Board_Table, osl::Square::canPromote(), osl::move_probability::MoveInfo::check, osl::Move::from(), osl::NumEffectState::hasEffectAt(), osl::NumEffectState::hasEffectIf(), osl::NumEffectState::inCheck(), osl::PtypeFuns< T >::indexMask, osl::Move::isDrop(), osl::Move::isNormal(), osl::Piece::isPromoted(), osl::SimpleState::kingSquare(), osl::LANCE, osl::NumEffectState::longEffectAt(), osl::move_probability::MoveInfo::move, osl::SimpleState::pieceOf(), osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::Piece::ptype(), osl::PTYPE_SIZE, osl::Piece::ptypeO(), osl::ROOK, osl::move_probability::MoveInfo::see, osl::Piece::square(), osl::move_probability::StateInfo::state, osl::misc::GeneralMask< Integer >::takeOneBit(), osl::move_probability::StateInfo::threatmate_move, osl::Move::to(), osl::SimpleState::turn(), and osl::Offset::zero().

The documentation for this class was generated from the following file:

- move_probability/feature.h